Microsoft.CSharp 4.0.0.0 System.Object To be added.

Contains factory methods to create dynamic call site binders for CSharp.

- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` `` To be added.

  Initializes a new CSharp binary operation binder.

  Returns a new CSharp binary operation binder.

  The flags with which to initialize the binder. The binary operation kind. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` To be added.

  Initializes a new CSharp convert binder.

  Returns a new CSharp convert binder.

  The flags with which to initialize the binder. The type to convert to. The that indicates where this operation is used.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` To be added.

  Initializes a new CSharp get index binder.

  Returns a new CSharp get index binder.

  The flags with which to initialize the binder. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` `` To be added.

  Initializes a new CSharp get member binder.

  Returns a new CSharp get member binder.

  The flags with which to initialize the binder. The name of the member to get. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` To be added.

  Initializes a new CSharp invoke binder.

  Returns a new CSharp invoke binder.

  The flags with which to initialize the binder. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` To be added.

  Initializes a new CSharp invoke constructor binder.

  Returns a new CSharp invoke constructor binder.

  The flags with which to initialize the binder. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` `` `` To be added.

  Initializes a new CSharp invoke member binder.

  Returns a new CSharp invoke member binder.

  The flags with which to initialize the binder. The name of the member to invoke. The list of type arguments specified for this invoke. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` To be added.

  Initializes a new CSharp is event binder.

  Returns a new CSharp is event binder.

  The flags with which to initialize the binder. The name of the event to look for. The that indicates where this operation is used.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` To be added.

  Initializes a new CSharp set index binder.

  Returns a new CSharp set index binder.

  The flags with which to initialize the binder. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` `` To be added.

  Initializes a new CSharp set member binder.

  Returns a new CSharp set member binder.

  The flags with which to initialize the binder. The name of the member to set. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.
- Method
  4.0.0.0
  System.Runtime.CompilerServices.CallSiteBinder `` `` `` `` To be added.

  Initializes a new CSharp unary operation binder.

  Returns a new CSharp unary operation binder.

  The flags with which to initialize the binder. The unary operation kind. The that indicates where this operation is used. The sequence of instances for the arguments to this operation.